# Created by pyp2rpm-3.3.8
%global pypi_name xxhash
%global pypi_version 3.5.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 3
Summary:        Python binding for xxHash
Group:          Development/Python
License:        BSD
URL:            https://github.com/ifduyue/python-xxhash
Source0:        %{pypi_name}-%{pypi_version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-devel

%description
xxhash is a Python binding for the xxHash library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
xxhash is a Python binding for the xxHash library.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

cp deps/xxhash/LICENSE deps/xxhash/LICENSE.deps

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xxhash

%check
cd tests
%{py3_test_envvars} %{python3} -m unittest discover

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE deps/xxhash/LICENSE.deps
%doc README.rst



%changelog
* Tue Dec 24 2024 papoteur <papoteur> 3.5.0-3.mga10
+ Revision: 2129658
- new version 3.5.0

* Fri Dec 29 2023 papoteur <papoteur> 3.4.1-3.mga10
+ Revision: 2024004
- rebuild for python 3.12

* Sat Dec 16 2023 papoteur <papoteur> 3.4.1-2.mga10
+ Revision: 2018452
- rebuild for python 3.12

* Sat Nov 25 2023 kekepower <kekepower> 3.4.1-1.mga10
+ Revision: 2009519
- imported package python-xxhash

